
%global meadversion 2.0.0
%global namedversion 2.0.0.Final-redhat-1
%global meadalpha .Final_redhat_1
%global meadrel .1
%global serial 2
%global namedversionrel redhat-1

%bcond_with javadoc
%bcond_without mead

%{?scl:%scl_package %{?scl_prefix}undertow-jastow}
%{!?scl:%global pkg_name %{name}}

%define maven_version 2.0.0.Final-redhat-1

Name:           %{?scl_prefix}undertow-jastow
Version:        %{meadversion}
Release:        %{serial}%{meadalpha}%{meadrel}%{?dist}
Epoch:          0
Summary:        JSP 2.3 container
Group:          Development/Java

%if %with mead
Source100: jastow-2.0.0.Final-redhat-1-scm-sources.zip
Source102: jastow-2.0.0.Final-redhat-1-project-sources.tar.gz
Source103: jastow-2.0.0.Final-redhat-1.pom
Source104: jastow-2.0.0.Final-redhat-1.jar
Source105: jastow-2.0.0.Final-redhat-1-sources.jar
Source106: jastow-2.0.0.Final-redhat-1-javadoc.jar
%endif

License:        ASL 2.0
URL:            https://github.com/undertow-io/jastow
BuildArch:      noarch
BuildRoot:      %{_tmppath}/jastow-%{namedversion}-%{release}-root

%description
JSP 2.3 container.

%if %with javadoc
%package javadoc
Summary:        Javadoc for undertow-jastow
Group:          Development/Java

BuildRequires:  unzip

%description javadoc
%{summary}.
%endif

%prep
%setup -q -n jastow -T -b 100

%build

%install
%{__rm} -rf %{buildroot}

# jars
%{__mkdir_p} %{buildroot}%{_javadir}
%{__cp} -p %{_sourcedir}/jastow-%{namedversion}.jar %{buildroot}%{_javadir}/jastow-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/jastow-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/jastow-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/jastow-%{namedversion}-sources.jar %{buildroot}%{_javadir}/jastow-%{namedversion}-sources.jar
(cd %{buildroot}%{_javadir} && for jar in *-%{namedversion}*; do %{__ln_s} ${jar} `/bin/echo ${jar} | %{__sed} -e "s|-%{namedversion}||g"`; done)

%if %with javadoc
# javadoc
%{__mkdir_p} %{buildroot}%{_javadocdir}/jastow-%{namedversion}
%{_bindir}/unzip -qq %{_sourcedir}/jastow-%{namedversion}-javadoc.jar -d %{buildroot}%{_javadocdir}/jastow-%{namedversion} -x META-INF/\*
%{__ln_s} jastow-%{namedversion} %{buildroot}%{_javadocdir}/jastow
%endif

%clean
%{__rm} -rf %{buildroot}

%files -n %{?scl_prefix}undertow-jastow
%defattr(0644,root,root,0755)
%doc LICENSE README NOTICE
%{_javadir}/jastow-%{namedversion}.jar
%{_javadir}/jastow.jar
%if %with javadoc
%{_javadir}/jastow-%{namedversion}-javadoc.jar
%{_javadir}/jastow-javadoc.jar
%endif
%{_javadir}/jastow-%{namedversion}-sources.jar
%{_javadir}/jastow-sources.jar

%if %with javadoc
%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/jastow-%{namedversion}
%{_javadocdir}/jastow
%endif

%changelog
* Tue Nov 03 2015 Hui Wang <huwang@redhat.com> - 2.0.0-2.Final_redhat_1.1
- Upgrade to 2.0.0.Final-redhat-1

* Fri Jul 31 2015 Hui Wang <huwang@redhat.com> - 2.0.0-1.Beta2_redhat_1.1
- Initial build

